lp:ubuntu/vivid/gajim

Created by Ubuntu Package Importer on 2014-10-26 and last modified on 2014-10-26
Get this branch:
bzr branch lp:ubuntu/vivid/gajim
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

35. By Tanguy Ortolo <email address hidden> on 2014-10-14

* New upstream release. (Closes: #729042, #757570)
* debian/patches:
   - fix-oid-definitions.patch: remove deprecated patch, which
     has been applied upstream.
   - desktop-keywords.patch: remove deprecated patch, which has been applied
     upstream.
   - fix-manpages.patch: fix markup errors in manpages.
* debian/control:
   - depend on python-nbxmpp
   - update Standards-Version to 3.9.6 (no change needed).
* debian/copyright: remove deprecated paragraph about python-xmpppy fork,
  which is now an distinct project.
* debian/rules:
   - move the XPM icon generation to the build target instead of the
     configure one.
   - no longer remove a duplicate certificate which is no longer provided.

34. By Tanguy Ortolo <email address hidden> on 2013-11-24

* debian/control:
   - turn dbus into a Depends rather than a Recommends, as Gajim does not
     seem to work without it. (Closes: #701994)
   - use a secure URL for Gajim homepage (but not for VCS web interface,
     sorry). (Closes: #727037)
   - recommend ca-certificates.
* debian/rules: remove cacerts.pem, replaced by certificates from
  ca-certificates. (Closes: #729568)

33. By Tanguy Ortolo <email address hidden> on 2013-08-15

* New upstream release. (Closes: #693648)
* debian/control:
   - new maintainer (myself).
   - update dependencies (add two missing ones and reformat).
   - update Vcs-* field for new package repository (Git).
   - update Standards-Version to 3.9.4 (no change needed).
* debian/copyright: switch to machine-readable format.
* debian/rules: update a comment to explain with more detail why the test
  target is broken.
* debian/patches:
   - desktop-keywords.patch: add a keywords entry to the desktop
     entry.
   - fix-oid-definitions.patch: fix OID handling in
     src/common/check_X509.py, thanks to Yves-Alexis Perez <corsac>.
     (Closes: #699477)

32. By Yann Leboulanger on 2013-02-15

apply patches using dpatch in debian/rules

31. By Yann Leboulanger on 2012-12-02

Go back to old patch format so that Gajim can go in testing.

30. By Yann Leboulanger on 2012-10-14

* re-add missing 0.15-1.1 changelog entry
* add a patch to prevent a traceback.
* add a patch to fix a crash. Closes: #690937

29. By Yann Leboulanger on 2012-08-29

* New upstream release.
* change python-farsight to python-farstream in suggests list. Closes: #682598
* Add python-gupnp-igd to suggests list. Closes: #668194
* Fix shortcut behaviour in roster window. Closes: #667870
* Improve GPG status handling. Closes: #670243

28. By Luk Claes on 2012-06-16

* Non-maintainer upload by the Security Team.
* Fix CVE-2012-2093: insecure use of temporary files when convering LaTeX
  IM messages to png images. Closes: #668710

27. By Yann Leboulanger on 2012-03-18

* New upstream release.
* remove 00_debian-copying.diff because upstream doesn't install it anymore
* remove 01_configure-ac.diff because upstream changed configure dependencies
* remove python-gnupginterface from recommands list, it's no more used

26. By Yann Leboulanger on 2011-09-06

Add patch to fix bug when saving multi-line subscription message.
Closes: #640615

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/wily/gajim
This branch contains Public information 
Everyone can see this information.

Subscribers